#include "mainwindow.h"
#include <QApplication>
#include <QSettings>
#include <QMessageBox>
#include <QSettings>

static bool checkProcessIsRunning()
{
    QSettings setting(MainWindow::settingFileName, QSettings::IniFormat);
    if (!setting.contains("running")) {
        setting.setValue("running", 1);
        return false;
    } else {
        if (setting.value("running").toInt() == 1) {
            return true;
        } {
            setting.setValue("running", 1);
            return false;
        }
    }
}

int main(int argc, char *argv[])
{
    QApplication a(argc, argv);
    if (checkProcessIsRunning()) {
         QMessageBox::warning(nullptr,"UOS插件管理器","插件管理器正在运行！请看桌面右下角图标！",QMessageBox::Yes);
         return -1;
    }
    QCoreApplication::setOrganizationName("computer-team");
    QCoreApplication::setOrganizationDomain("computer.com");
    QCoreApplication::setApplicationName("uos-plugin");
    MainWindow *m = new MainWindow;
    m->show();

    return a.exec();
}
