#ifndef WEATHERPLUGIN_H
#define WEATHERPLUGIN_H

#include <QObject>
#include <QtPlugin>
#include "calinterface.h"
#include "weatherwidget.h"
class WeatherPlugin : public QObject,public CalInterface
{
    Q_OBJECT
    Q_INTERFACES(CalInterface)
    Q_PLUGIN_METADATA(IID CalInterface_iid FILE "weatherplugin.json")
public:
    explicit WeatherPlugin(QObject *parent = nullptr);
    QWidget* getWidget(QString workPath)override;
    QList<QWidget*> loadAll(QString workPath) override;
    ~WeatherPlugin()override;
};

#endif // WEATHERPLUGIN_H
