# 项目中期报告

## 一、背景介绍

- 小组名称：电脑配舰队
- 赛题：[proj175-基于uos的DDE核心组件实现桌面小部件](https://github.com/oscomp/proj175-desktop-gadgets-in-uos)

## 二、技术方案

### 1、时钟插件

#### 1.1项目需求分析

- 在桌面端实现时钟、日期显示功能
- 显示风格与uos系统保持一致，支持透明模式
- 支持应用自启动
  
#### 1.2设计方案

##### 1.2.1 方案调研

- 分析QT官方时钟Demo
- 分析windows系统的时钟App
  
##### 1.2.2 技术点分析

待补充

##### 1.2.3界面设计方案

待补充

##### 1.2.4运行流程图

待补充

#### 1.3 项目进度（80%）

已经实现了时钟基本功能，UI界面满足基本使用要求。

#### 1.4 待解决技术难点

暂无

### 2、天气插件

#### 2.1项目需求分析

- 支持显示某个城市未来5天天气情况，并且能够实时刷新
- 支持设置地区
- UI布局合理，图标风格统一，具有一定美感

#### 2.2设计方案

##### 2.2.1 方案调研

- 分析了windows、安卓天气应用的布局
- 查阅相关资料，分析获取天气数据的方案
  
##### 2.2.2 技术点分析

待补充

##### 2.2.3 界面设计方案

待补充

##### 2.2.4 运行流程图

待补充

#### 2.3 项目进度（75%）

UI界面已经完成，正在加入联网获取数据功能

#### 2.4 待解决技术难点

暂无

### 3、便签插件

#### 3.1 项目需求分析

- 实现基础的文字记录便签功能
- 支持桌面固定、隐藏模式
- 支持多个便签同时显示
- 支持开机自启动功能
  
#### 3.2 设计方案

##### 3.2.1 方案调研

● 分析windows平台便签应用界面设计

##### 3.2.2 技术点分析

待补充

##### 3.2.3 界面设计方案

待补充

##### 3.2.4 运行流程图

待补充

#### 3.3 项目进度（65%）

UI界面已经开发完成，正在完善操作逻辑

#### 3.4 待解决技术难点

暂无

### 4、插件管理器

#### 4.1 项目需求分析

- 通过UI界面管理插件
- 支持动态安装、卸载插件
- 提供插件开发接口规范
  
#### 4.2 设计方案

##### 4.2.1 方案调研

- 分析QT插件库调用流程
- 
##### 4.2.2 技术点分析

- 插件管理器如何实现动态加载deb文件，并对其进行管理
- 
##### 4.2.3 界面设计方案

待补充

##### 4.2.4 运行流程图

待补充

#### 4.3 项目进度（40%）

还在调研中

#### 4.4 待解决技术难点

- uos如何实现应用自启动
- uos中如何使用代码实现动态加载deb文件
  
## 三、整体比赛进度（完成65%）

1. 时钟插件整体功能已经实现，UI界面美化工作还在进行中
2. 天气插件界面设计完毕，正在在整合天气数据获取功能，
3. 便签基础界面功能开发完毕，正在优化操作功能逻辑代码
4. 插件管理器开发遇到困难，正在寻求导师的帮助
   
## 四、问题汇总

1. 在uos下如何实现应用开机自启动
2. 插件是否要整合到一个插件管理器中，实现动态加载插件功能。还是每个插件单独运行
3. 是不是要提供第3方开发插件的文档
4. 实现插件一定要用dtk库吗？还是可以使用原生QT

## 五、导师指导情况
- [x] 建立导师指导微信群
- [x] 有问题及时沟通，导师热心答疑
- [ ] 企业导师安排5月16日答疑
