#ifndef CLOCKPLUGIN_H
#define CLOCKPLUGIN_H
#include <QObject>
#include <QtPlugin>
#include <QWidget>
#include "calinterface.h"
#include "clockwidget.h"



class ClockPlugin :public QObject, public CalInterface
{
    Q_OBJECT
    Q_INTERFACES(CalInterface)
    Q_PLUGIN_METADATA(IID CalInterface_iid FILE "clockplugin.json")
public:
    explicit ClockPlugin(QObject *parent = nullptr);
    ~ClockPlugin()override;
    QWidget* getWidget(QString workPath)override;
    QList<QWidget*> loadAll(QString workPath) override;

};

#endif // WEATHERPLUGIN_H
