#include "weatherplugin.h"
#include<QDir>
#include<QSettings>
WeatherPlugin::WeatherPlugin(QObject *parent) : QObject(parent)
{

}

QWidget *WeatherPlugin::getWidget(QString workPath)
{
    WeatherWidget *newWindow = new WeatherWidget;
    newWindow->setWorkPath(workPath);
    return newWindow;
}


QList<QWidget*> WeatherPlugin::loadAll(QString workPath)
{
    QList<QWidget*> listWeather;
    QDir dirName{workPath};
    if(dirName.exists("./cache")){
        dirName.cd("./cache");
        dirName.setFilter(QDir::NoDotAndDotDot|QDir::AllEntries);//去掉.和..的inode
        QStringList fileNames = dirName.entryList();//获取dir目录下的所有条目
        for(auto file:fileNames){
        if(file.endsWith(".ini")){
                QSettings *loadFile = new QSettings(workPath+"/cache/"+file,QSettings::IniFormat);
                WeatherWidget *weatherWindow = new WeatherWidget(loadFile,workPath);
                listWeather.push_back(weatherWindow);
                dirName.remove(file);
            }
        }
    }
    return listWeather;
}


WeatherPlugin::~WeatherPlugin()
{

}
